/*
 * Copyright (C) 2003 root <root@localhost.localdomain>
 */

#ifndef _RPMINSTALLINTERFACE_H_
#define _RPMINSTALLINTERFACE_H_

#include <kparts/part.h>
#include <kcmdlineargs.h>
#include <vector>
//#include <boost/shared_ptr.hpp>

/**
 * This is a "Part".  It that does all the real work in a KPart
 * application.
 *
 * @short Main Part
 * @author root <root@localhost.localdomain>
 * @version 0.1
 * Ĺǰװָrpm
 * ԰װָURL
 * vector<QString>ļ(·)
 * vector<int>ݰװʧܵļ±
 */
 
using namespace std;
//using namespace boost;
 
class IRpmInstallPart : public KParts::ReadOnlyPart
{
    Q_OBJECT
public:
    /**
     * Default constructor
     */
    enum {INSTALLED, NOT};
        
    IRpmInstallPart(QObject *parent, const char *name)
    	:KParts::ReadOnlyPart(parent, name)
	{}

    virtual void importRpms(const QStringList &import)=0;
    virtual void importRpms(KCmdLineArgs *args)=0;
    virtual void exportResult(QStringList &result, bool success)=0;
    //virtual void install(void)=0;
signals:
    void installFinish(void);
    void startInstall(void);
    
};

#endif // _RPMINSTALLINTERFACE_H_
