/*
 * Copyright (C) 2003 root <root@localhost.localdomain>
 */

#ifndef _UNINSTALLINTERFACE_H_
#define _UNINSTALLINTERFACE_H_

#include <kparts/part.h>
#include <kcmdlineargs.h>
#include <vector>

/**
 * This is a "Part".  It that does all the real work in a KPart
 * application.
 *
 * @short Main Part
 * @author root <root@localhost.localdomain>
 * @version 0.1
 * Ĺǰװָrpm
 * ԰װָURL
 * vector<QString>ļ(·)
 * vector<int>ݰװʧܵļ±
 */
 
using namespace std;
//using namespace boost;
 
class IUninstallPart : public KParts::ReadOnlyPart
{
    Q_OBJECT
public:
    enum {FAILED, SUCCESSED};

    IUninstallPart(QObject *parent, const char *name)
    	:KParts::ReadOnlyPart(parent, name)
	{}

    virtual void exportResult(QStringList &result, int success)=0;
    virtual void uninstall(QStringList &rpmnames)=0;
signals:
    //void uninstallFinish(void);
};

#endif // _UNINSTALLINTERFACE_H_
